#### D.15.8.23 grconcat

Procedure from library `gradedModules.lib` (see gradedModules_lib).

Usage:
  grconcat(A, B), graded objects A and B, dst(A) == dst(B) =: dst

Return:
  graded object

Purpose:
  construct src(A) + src(B) -----> dst given by (A|B)

Example:

    LIB "gradedModules.lib";
    ring r;
    module R=grobj(module([x,y,z]),intvec(0:3));
    grview(R);
    ==> Graded homomorphism: r^3 <- r(-1), given by a matrix, with degrees:
    ==>     .1 ...
    ==>     -- +..
    ==>  0 : 1 |.1
    ==>  0 : 1 |.2
    ==>  0 : 1 |.3
    ==>     ==
    ==>      1
    module S=grobj(module([x,0,y],[xy,zy+x2,0]),intvec(0:3));
    grview(S);
    ==> Graded homomorphism: r^3 <- r(-1) + r(-2), given by a matrix, with degree\
       s:
    ==>      ..1 ..2 ....
    ==>      --- --- +...
    ==>   0 :  1   2 |..1
    ==>   0 :  -   2 |..2
    ==>   0 :  1   - |..3
    ==>      === ===
    ==>        1   2
    def Q=grconcat(R,S);
    grview(Q);
    ==> Graded homomorphism: r^3 <- r(-1)^2 + r(-2), given by a square matrix, wi\
       th degrees:
    ==>      ..1 ..2 ..3 ....
    ==>      --- --- --- +...
    ==>   0 :  1   1   2 |..1
    ==>   0 :  1   -   2 |..2
    ==>   0 :  1   1   - |..3
    ==>      === === ===
    ==>        1   1   2

User manual for Singular version 4.4.1, 2025, generated by texi2html.